Package: groovy.transform.options

## [Java] Enum Visibility

- groovy.transform.options.Visibility

-     public enum Visibility
      extends Enum

  Indicates the visibility of a node.

  Since:
    2.5.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `PACKAGE_PRIVATE` |
    `PRIVATE` |
    `PROTECTED` |
    `PUBLIC` |
    `UNDEFINED` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getModifier()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Visibility PACKAGE_PRIVATE

    - #### Visibility PRIVATE

    - #### Visibility PROTECTED

    - #### Visibility PUBLIC

    - #### Visibility UNDEFINED

  - ### Method Detail

    - #### public int getModifier()